Calificación:
  • 0 voto(s) - 0 Media
  • 1
  • 2
  • 3
  • 4
  • 5
VHCS
#1
Hola compañeros.

Primero que todo no se si esto va acá o en Linux, pero bueno. Empiezo...

Miren, estoy tratando de instalar el panel VHCS y hasta ahora estoy teniendo el mismo problema con las pocas guías que hay por internet.

La cosa es que al llegar al comando "make install", comienza la instalación (o copia de archivos, no se bien) del sistema.

Y en un momento me arroja este mensaje.

Código:
cp -dR ./themes /tmp/vhcs2/var/www/vhcs2/gui
cp -dR ./tools /tmp/vhcs2/var/www/vhcs2/gui
cp -dR ./orderpanel /tmp/vhcs2/var/www/vhcs2/gui
make[1]: se sale del directorio `/root/vhcs2.4.6.2/gui'
cd ./keys && make install
make[1]: se ingresa al directorio `/root/vhcs2.4.6.2/keys'
make[1]: No se hace nada para `install'.
make[1]: se sale del directorio `/root/vhcs2.4.6.2/keys'
Eso último es.

Alguien me puede ayudar?

No se por que me lo da al error y mucho de linux no se como para solucionarlo por mis propios medios (soy del php yo).

Ojalá puedan ayudarme.

Saludos!
Atte, Gonzalo
Se buscan colaboradores para comenzar con un foro de programación en general.

[url]www.programarg.com[/url]
WWW
#2
Muevo a Linux para un mejor y efectivo soporte y/o ayuda. (Centralizarnos en el tema general "O.S Linux")
#3
Puede ser por muchas razones ese error los mas comunes son falta de CHMOD o directorios de escritura o que la cache de instalacion del script esta llena o bien que el script tiene algun error interno o bien no funciona con la version de php actual de tu server, la version mas actual de php es la 4.5 para los servers tipicos te recomiendo que uses la version 4.3 si tu server te lo permite con eso ganaras casi un 60% de velocidad.
#4
OK muchas gracias MrLoco.

EDITO: Y como hago para instalar la versión 4.3??

Estos son los requerimientos de VHCS.

[qoute]Details:
Apache - Webserver
Postfix - MTA
ProFTP
PHP
Perl
MySQL-Database
POP3 and IMAP
OpenSSL or mod_ssl for SSL-Webs
BIND - DNS Server[/quote]

Voy a prbar primero con el CHMOD y te comento.
Se buscan colaboradores para comenzar con un foro de programación en general.

[url]www.programarg.com[/url]
WWW
#5
No se si esto te sirva, pero Ojala te funcione

Informacion

saludos
#6
Ya lo probe a ese y otro más, pero siempre el mismo error en la carpeta KEYS.. Estoy por probar el CHMOD que me dijo centralsoft.

Ah aclaro centralsoft. Yo no estoy instalando el script en ese paso. El "make install" lo que hace es copiar todo a la carpeta "/tmp/"..

Este es el otro error que me tira sino..

Código:
cp -dR ./orderpanel /tmp/vhcs2/var/www/vhcs2/gui
make[1]: se sale del directorio `/root/vhcs2.4.6.2/gui'
cd ./keys && make install
make[1]: se ingresa al directorio `/root/vhcs2.4.6.2/keys'
gcc -c -ansi -Wall -Wstrict-prototypes -pedantic gen-keys.c
gcc -o gen-keys gen-keys.o
strip -v gen-keys
copy from `gen-keys' [elf32-i386] to `stF3zeSe' [elf32-i386]
./rpl.pl /tmp/vhcs2/var/www/vhcs2/gui/include/vhcs2-db-keys.php /tmp/vhcs2/var/www/vhcs2/engine/vhcs2-db-keys.pl
^Cmake[1]: *** Se borra el archivo `gen-keys'
Use of uninitialized value $key in pattern match (m//) at ./rpl.pl line 20.
Use of uninitialized value $iv in pattern match (m//) at ./rpl.pl line 20.
Use of uninitialized value $key in substitution (s///) at ./rpl.pl line 32.
Use of uninitialized value $iv in substitution (s///) at ./rpl.pl line 33.
Use of uninitialized value $key in scalar chop at ./rpl.pl line 37.
Use of uninitialized value $iv in scalar chop at ./rpl.pl line 38.
Use of uninitialized value $key in concatenation (.) or string at ./rpl.pl line 49.
Use of uninitialized value $iv in concatenation (.) or string at ./rpl.pl line 50.
Use of uninitialized value $key in concatenation (.) or string at ./rpl.pl line 66.
Use of uninitialized value $iv in concatenation (.) or string at ./rpl.pl line 67.
make: *** [install] Interrupción

Que puede ser?
Se buscan colaboradores para comenzar con un foro de programación en general.

[url]www.programarg.com[/url]
WWW




Usuarios navegando en este tema: 1 invitado(s)